Function
createCompressedSa
This functions creates a compressed suffix array with a specified compression factor.
void createCompressedSa(compressedSA, completeSA, compressionFactor [,offset])
Include Headers
seqan/index.h
Parameters
offset:Number of elements at the beginning which should contain the default value.

compressedSA | The compressed suffix array Types: CompressedSA
completeSA | A complete suffix array containing all values
compressionFactor | The compression factor. Types: UnsignedIntegerConcept Remarks: A compression factor of x means that the compressed suffix array specifically stores a value for every x values in the complete suffix array.

Member of
CompressedSA
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58